/*****************************************************************************
*                                                                            *
*      COMMON OCEANOGRAPHIC DATA ACCESS SYSTEM (CODAS)                       *
*                                                                            *
*      WRITTEN BY:  RAMON CABRERA, ERIC FIRING, and JULIE RANADA             *
*                   JOINT INSTITUTE FOR MARINE AND ATMOSPHERIC RESEARCH      *
*                   1000 POPE ROAD  MSB 404                                  *
*                   HONOLULU, HI 96822                                       *
*                                                                            *
*      VERSION:     3.00                                                     *
*                                                                            *
*      DATE:        APRIL 1989                                               *
*                                                                            *
*****************************************************************************/
/*-----------------------------------------------------------------------------

      FILE:  posn.h

             POSITION CONVERSION FUNCTIONS

*/
#ifndef posn_included
#define posn_included
#ifndef dbhost_included
#include "dbhost.h"     /* PROTOTYPE_ALLOWED */
#endif
#ifndef dbext_included
#include "dbext.h"      /* DMSH_POSITION_TYPE, LONG */
#endif
#if PROTOTYPE_ALLOWED
int invalid_position(DMSH_POSITION_TYPE *p, int is_lat);
LONG POSHUN(DMSH_POSITION_TYPE *p);
void HUNPOS(DMSH_POSITION_TYPE *p, LONG *h);
LONG POSDIF(DMSH_POSITION_TYPE *p1, DMSH_POSITION_TYPE *p2);
void DIFPOS(DMSH_POSITION_TYPE *p1, DMSH_POSITION_TYPE *p2, LONG *h);
LONG POSCMP(DMSH_POSITION_TYPE *p1, DMSH_POSITION_TYPE *p2);
#else
int invalid_position();
LONG POSHUN();
void HUNPOS();
LONG POSDIF();
void DIFPOS();
LONG POSCMP();
#endif
#endif /* ifndef posn_included */

